%define lib_major 1
%define lib_name %mklibname croco %{lib_major}

Name:		libcroco
Summary:	CSS2 parser library
Version: 	0.3.0
Release: 	2mdk
License: 	LGPL
Group:		System/Libraries
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}-%{version}.tar.bz2
URL: 		http://savannah.nongnu.org/projects/libcroco
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libxml2-devel
BuildRequires:  pango-devel
BuildRequires:  libgnomeui2-devel

%description
libcroco is a standalone css2 parsing library.
It provides a low level event driven SAC like api
and a css object model like api.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

%description -n %{lib_name}
libcroco is a standalone css2 parsing library.
It provides a low level event driven SAC like api
and a css object model like api.

%package -n %{lib_name}-devel
Summary:	Libraries and include files for developing with librsvg.
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Requires:	libxml2-devel
Requires:	libglib2-devel

%description -n %{lib_name}-devel
This package provides the necessary development libraries and include
files to allow you to develop with libcroco?

%prep
%setup -q

%build

%configure2_5x

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/csslint
%{_mandir}/man1/csslint*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/croco-config
%{_mandir}/man1/croco-config*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3.0-2mdk
- Fix buildrequires

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3.0-1mdk
- Release 0.3.0

* Mon Jul  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.0-1mdk
- Release 0.2.0
- WARNING : binary compat is broken, you need to recompile apps built with libcroco 0.1

* Fri Jun 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-2mdk
- rebuild for new rpm

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.1.0-1mdk
- First Mdk package.
